Subject: Re: bug#76739: 31.0.50; Register previews cannot be disabled

From: Rudolf Adamkovič <[email-masked]>
Date: Sat, 08 Mar 2025 02:32:00 +0100

Eli Zaretskii <[email-masked]> writes:

You did not correct the description, which should say

>     "Whether to show register preview when manipulating registers."
>                                            ^^^^^^^^^^^^
>   instead of
>
>     "Whether to show register preview when modifying registers."
>
>   because `C-x r i' does not modify any registers

[I just re-tested with `customize-set-variable' and the setting pertains
to `C-x r i' as well, so the wording above needs corrected.]

P.S. This is not theoretical: When I was figuring out the way to change
the behavior of `C-x r i', I found and *ignored* this variable, as it
said "when modifying".  I thought to myself: "These folks are precise
with their words, so there must be some other variable." :)

Rudy
-- 
"Genius is 1% inspiration and 99% perspiration."
--- Thomas Alva Edison, 1932

Rudolf Adamkovič <[email-masked]> [he/him]
http://adamkovic.org